:root {
    --white : #ffffff;
    --light-rose : #e9c7be;
    --dark-rose : #d48f7d;
    --light-green : #acc6aa;
    --dark-green : #36635a;
    --gold : #d9ac4f;
    --light-teal: #9bd4d4;
    --champagne-bubble: #d4c19b;
    --pink-hush: #e6cbdb;
}

@font-face {
    font-family: "Signature";
    src: url("/src/DancingScript-VariableFont_wght.ttf") format("opentype");
}

@font-face {
    font-family: "NotoSerif";
    src: url("/src/NotoSerifSC-VariableFont_wght.ttf") format("opentype");
}

@font-face {
    font-family: "Playfair display";
    src: url("src/EBGaramond-VariableFont_wght.ttf") format("opentype");
}

body {
    color: var(--dark-green);
    background-color: var(--white);
    margin: 0;
    font-family:
    "Playfair Display",      /* ta police élégante */
    "Noto Serif SC",         /* chinois */
    "Noto Serif",            /* latin + cyrillique */
    serif;
    text-align: center;
    font-weight: 500;
    font-size: 1.2rem;
}

h2 {
    font-size: clamp(3rem, 4rem);
    color: var(--dark-rose);
    text-transform: uppercase;
    font-weight: 500;
    text-align: center;
    margin: 0 auto;
}

h1{
    color: var(--white);
    font-family: "Signature", cursive;
    font-size: clamp(6rem, 12vw, 12rem);
    margin: 0;
    line-height: 0.9;
}

h3 {
    color: var(--white);
    font-family: "Signature", cursive;
    font-size: clamp(2rem, 12vw, 4rem);
    margin: 0;
    line-height: 0.9;
}

#scaffold{
    margin: auto;
}

#dressCode {
    background-color: var(--white);
}

#locationDescription {
    background-color: var(--white);
}

.illustation {
    display: block;
    margin: auto;
    width: 100%;
}

hr{
    border: none;
    height: 2px;
    background-color: var(--gold); 
}

.text-column {
    padding: 20px;
}

a {
    color: var(--dark-green);
    font-weight: 500;
    transition: 0.2s ease;
  }
  
a:hover {
    color: var(--gold);
}

a:visited {
    color: var(--dark-green);
    opacity: 0.8;
}

.heart-icon {
    width: 12px;
    height: 12px;
    background-image: url("/src/heart-icon.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
}